How to check for requirements of a snap?

I want to use Wonderwall, a Wallpaper search program, but get the following failure:

$ wonderwall
Gtk-Message: 05:46:44.671: Failed to load module "canberra-gtk-module"
Qt: Session management error: None of the authentication protocols specified are supported
QApplication: invalid style override passed, ignoring it.
Fontconfig warning: FcPattern object weight does not accept value [40 210)
Speicherzugriffsfehler (Speicherabzug geschrieben)

On Manjaro it works.
The programmer seems to develop it on Ubuntu.

what is the output of :slight_smile:

pacman -Qs canberra ?

so far i know is from libcanberra (eventually lib32-canberra)

you have also canberra-pulse probably for pulse audio,…

but for a snap i dont know wich module prioritize from system or own in the snap

1 Like

Thanks for your fast answer,

local/libcanberra 0.30+2+gc0620e4-2
    A small and lightweight implementation of the XDG Sound Theme Specification
local/libcanberra-pulse 0.30+2+gc0620e4-2
    PulseAudio plugin for libcanberra

So they both seems not to be installed now. But they seems to handle sound where might there the relationship to graphics and gtk?
More interesting to me seems to be the last Fontconfig line.

pacman -Qs xxxx does only local search …it does only sound theme offcourse , build probably its in combination to use with that wallpaper thing ?

as fontconfig i dont know you might try install ubuntu fonts… but is a rough guess :slight_smile:

The solution of a other thread regarding “snap-store” is the solution for this problem also:

sudo rm -v /var/cache/fontconfig/*

Now I installed the snap-store snap. It starts but where there should be letters there are placeholders/rectangles instead like iit wants to use a font which is not installed or so.

Output:

[peter@monastir ~]$ snap-store
07:30:02:0052 Gs  enabled plugins: odrs, rewrite-resource, snap, icons, key-colors, key-colors-metadata
07:30:02:0052 Gs  disabled plugins: appstream, desktop-categories, desktop-menu-path, dpkg, dummy, epiphany, fedora-pkgdb-collections, generic-updates, hardcoded-blacklist, hardcoded-featured, hardcoded-popular, modalias, os-release, provenance, provenance-license, repos, shell-extensions
07:30:02:0211 Gs  failed to create an app for */*/*/*/system/*
07:30:02:0218 Gs  updates-shell: failed to get updates: no plugin could handle get-updates
07:30:02:0220 Gs  failed to create an app for */*/*/*/system/*
07:30:02:0220 Gs  failed to get system app
07:30:02:0220 Gs  Only 0 apps for recent list, hiding
07:30:02:0230 GsPluginSnap Failed to load snap icon: local snap has no icon
07:30:02:0404 Gs  hiding category graphics featured applications: found only 0 to show, need at least 9
07:30:02:0404 Gs  hiding category productivity featured applications: found only 0 to show, need at least 9
07:30:02:0486 GLib g_path_get_basename: assertion 'file_name != NULL' failed
07:30:02:0486 GLib g_regex_match_full: assertion 'string != NULL' failed
07:30:02:0486 GLib g_path_get_basename: assertion 'file_name != NULL' failed
07:30:02:0486 GLib g_regex_match_full: assertion 'string != NULL' failed
07:30:02:0504 GLib g_variant_new_variant: assertion 'value != NULL' failed
07:30:02:0504 GLib g_variant_new_variant: assertion 'value != NULL' failed
07:30:02:0504 Gs  not GsPlugin error g-io-error-quark:35: Invalid string value converting to GVariant
07:30:02:0505 Gs  not handling error failed for action refine: Invalid string value converting to GVariant
07:30:02:0512 GsPluginSnap Failed to load snap icon: local snap has no icon
07:30:02:0690 GsPluginSnap Failed to load snap icon: local snap has no icon

Pleease assist!

Best regards,

Peter

Hello @Peterl65
I’m not sure how you installed it? Maybe this helps you.

Edit: I have just installed it and have it working.

Screenshot from 2020-02-09 03-18-14

1 Like

@Peterl65
I have installed the snap store and the fonts are messed up but works in the terminal.

@Peterl65
Not sure how to fix the font on the snap store but from the terminal Wonderwall is listed.

Screenshot from 2020-02-09 03-34-30

@Peterl65
I launched it from the terminal and I’m getting the gtk error also. I think it’s trying to load a gtk3 file when it’s gtk2. Not sure though.

Screenshot from 2020-02-09 03-42-25

1 Like

@Peterl65
I am not using snap now. However when I was using manjaro i faced similar issue. It was solved as per below link from manjaro forum. https://forum.manjaro.org/t/snap-store-font-issue-everything-is-a-rectangle-screenshot/105932

The solution is

sudo rm -v /var/cache/fontconfig/*

I don*t understand the reason but it also helps at my problem with wonderwall.

1 Like